
  
<?php  
header("Content-type:text/html;charset=gb2312");     
$host="localhost"; //主机名       
$user="root"; //MYSQL用户名       
$password="123456"; //密码       
$dbname="db_office"; //备份的数据库       
     
mysql_connect($host,$user,$password);       
mysql_select_db($dbname);       
     
$q1=mysql_query("show tables");       
while($t=mysql_fetch_array($q1)){       
$table=$t[0];       
$q2=mysql_query("show create table `$table`");       
$sql=mysql_fetch_array($q2);       
$mysql.=$sql['Create Table'].";\r\n\r\n";#DDL       
     
$q3=mysql_query("select * from `$table`");       
while($data=mysql_fetch_assoc($q3))       
{       
$keys=array_keys($data);       
$keys=array_map('addslashes',$keys);       
$keys=join('`,`',$keys);       
$keys="`".$keys."`";       
$vals=array_values($data);       
$vals=array_map('addslashes',$vals);       
$vals=join("','",$vals);       
$vals="'".$vals."'";       
     
$mysql.="insert into `$table`($keys) values($vals);\r\n";       
}       
$mysql.="\r\n";       
     
}       
$filename=date('Ymd')."_".$dbname.".sql"; //文件名为当天的日期       
$fp = fopen($filename,'w');       
fputs($fp,$mysql);       
fclose($fp);       
echo "数据备份成功,生成备份文件".$filename;       
?>  